package ai.decompile.engine.service;

import ai.decompile.docker.service.ContainerService;
import ai.decompile.engine.config.EngineProperties;
import ai.decompile.engine.model.EngineType;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Service;

@Service
@ConditionalOnProperty(name = "app.docker.enabled", havingValue = "true")
public class Ida66EngineService extends AbstractIdaEngineService {
  public Ida66EngineService(ContainerService containers, EngineProperties engineProperties) {
    super(containers, engineProperties);
  }

  @Override
  protected String getDockerfilePath() {
    return "engines/ida66/Dockerfile.ida66";
  }

  @Override
  protected String getConfigKey() {
    return "ida66";
  }

  @Override
  protected String getTempDirPrefix() {
    return "ida66-output-";
  }

  @Override
  public EngineType supportedEngine() {
    return EngineType.IDA66;
  }
}
